List your holdings
curl --request GET \
--url https://partners-api.sandbox.securitize.io/v1/assets \
--header 'Authorization: Bearer <token>'const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://partners-api.sandbox.securitize.io/v1/assets', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));import requests
url = "https://partners-api.sandbox.securitize.io/v1/assets"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text){
"meta": {
"length": 1
},
"data": [
{
"tokenId": "d1dbb6b6-3bda-48f2-b86e-c87610db1ae1",
"tokenName": "Example Treasury Fund",
"symbol": "XTF",
"totalTokens": "3500074950000",
"decimals": 6,
"blockchainNetwork": "ethereum"
}
]
}Assets
List your holdings
One entry per token you hold, with the total across every wallet and custody arrangement of your account, in base units. A token you held and fully redeemed can still appear, with totalTokens "0". Not paginated.
GET
/
assets
List your holdings
curl --request GET \
--url https://partners-api.sandbox.securitize.io/v1/assets \
--header 'Authorization: Bearer <token>'const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://partners-api.sandbox.securitize.io/v1/assets', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));import requests
url = "https://partners-api.sandbox.securitize.io/v1/assets"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text){
"meta": {
"length": 1
},
"data": [
{
"tokenId": "d1dbb6b6-3bda-48f2-b86e-c87610db1ae1",
"tokenName": "Example Treasury Fund",
"symbol": "XTF",
"totalTokens": "3500074950000",
"decimals": 6,
"blockchainNetwork": "ethereum"
}
]
}